import unittest
from modelverse_state.main import ModelverseState

class TestCreateNode(unittest.TestCase):
    def setUp(self):
        self.mvs = ModelverseState()

    def test_create_node_different_id_simple(self):
        id1 = self.mvs.create_node()
        assert id1 != None
        id2 = self.mvs.create_node()
        assert id2 != None
        
        assert id1 != id2

    def test_create_node_different_id_long(self):
        results = set()
        for i in range(1000):
            v = self.mvs.create_node()
            assert v != None
            results.add(v)

        assert len(results) == 1000
